### Module Description
This module implements [XEP-0077: In-Band Registration](http://xmpp.org/extensions/xep-0077.html), allowing users to register accounts on the server via XMPP. Use of this module on Internet-facing servers is **not recommended**.

### Options

* `iqdisc`
* `access` (atom, default: `all`): Defines which ACL should be used for checking if a chosen username is allowed for registration.
* `welcome_message` (`{Subject :: string(), Body :: string()}`, default: `{"", ""}`): Body and subject of `<message>` stanza sent to new users.
* `registration_watchers` (list of binaries, default: `[]`): List of JIDs, which should receive `<message>` notification about every successful registration.
* `access_from` (atom, default: `none`): Allow registrations from existing C2S connections or S2S, that match specified ACL. **Use with caution!**
* `password_strength` (non-negative integer, default: 0): Specify minimal entropy of allowed password. Entropy is measured with `ejabberd_auth:entropy/1`. Recommended minimum is 32.
* `ip_access` (list of `{deny|allow, StringIP|StringSubnet, default: `[]`): Access list for specified IPs or networks. Default value allows registration from every IP.

### Example configuration

Allow registrations from localhost:
``` 
{mod_register, [{allow, "127.0.0.1"}]} 
```

Deny registration from network 10.20.0.0 with mask 255.255.0.0.
```
{mod_register, [{deny, "10.20.0.0/16"}]}
```
